<!-- ===== Show loading gif until Note Detail information is returned by server ===== -->
<ng-template #loading>
    <div class="col-12 load-spinner">
        <training-app-spinner></training-app-spinner>
    </div>
</ng-template>

<!-- ===== Show the Notes =====-->
<div *ngIf="!searchingNotes && notes != null; else loading"
    class="note-list-container">

    <div class="note list-group list-group-flush border-bottom scrollarea">
        <a *ngFor="let note of notes"
            class="list-group-item list-group-item-action"
            routerLink="note/{{note.id}}" routerLinkActive="active">
            <div class="title">{{note.title}}</div>
            <div class="body-minimal">{{note.bodyMinimal}}</div>
            <div class="date">{{note.lastUpdatedDate | date: 'longDate'}}</div>
        </a>
    </div>
</div>